
package com.ejie.ab61.clientesWS.T65BDokusi;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "t65bFSDWSClasePortQSService", targetNamespace = "http://www.ejie.es/webServiceClase/t65bFSDWar", wsdlLocation = "META-INF/wsdls/t65bFsd.wsdl")
public class T65BFSDWSClasePortQSService
    extends Service
{

    private final static URL T65BFSDWSCLASEPORTQSSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.T65BDokusi.T65BFSDWSClasePortQSService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.T65BDokusi.T65BFSDWSClasePortQSService.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/t65bFsd.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/t65bFsd.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        T65BFSDWSCLASEPORTQSSERVICE_WSDL_LOCATION = url;
    }

    public T65BFSDWSClasePortQSService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public T65BFSDWSClasePortQSService() {
        super(T65BFSDWSCLASEPORTQSSERVICE_WSDL_LOCATION, new QName("http://www.ejie.es/webServiceClase/t65bFSDWar", "t65bFSDWSClasePortQSService"));
    }

    /**
     * 
     * @return
     *     returns T65BFSDWSClasePort
     */
    @WebEndpoint(name = "t65bFSDWSClasePortQSPort")
    public T65BFSDWSClasePort getT65BFSDWSClasePortQSPort() {
        return super.getPort(new QName("http://www.ejie.es/webServiceClase/t65bFSDWar", "t65bFSDWSClasePortQSPort"), T65BFSDWSClasePort.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns T65BFSDWSClasePort
     */
    @WebEndpoint(name = "t65bFSDWSClasePortQSPort")
    public T65BFSDWSClasePort getT65BFSDWSClasePortQSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://www.ejie.es/webServiceClase/t65bFSDWar", "t65bFSDWSClasePortQSPort"), T65BFSDWSClasePort.class, features);
    }

}
